Subject: bug#53037: df/total-verify fail with cephfs

From: Dylan Simon <[email-masked]>
Date: Wed, 5 Jan 2022 18:25:38 -0500

>From Paul Eggert <[email-masked]>, Wed, Jan 05, 2022 at 03:07:42PM -0800:
> On 1/5/22 14:11, Dylan Simon wrote:
> > Then it will look like this (I'm inferring, haven't actually tried it):
> 
> I'm still not quite following, but does the attached patch address the
> problem?

Hrm, no, with this patch it still fails, but differently (sorry so many
filesystems):

Filesystem        Inodes      IUsed      IFree IUse% Mounted on
devtmpfs        65968964        743   65968221    1% /dev
tmpfs           65988311       1250   65987061    1% /run
/dev/sda1       20971520     529832   20441688    3% /
tmpfs           65988311       4688   65983623    1% /dev/shm
tmpfs           65988311         14   65988297    1% /sys/fs/cgroup
/dev/sda3      212927488      21130  212906358    1% /var
/dev/sdb1      234424320         36  234424284    1% /tmp
ceph           901242617          -          -     - /mnt/ceph
home           260000000  121454853  138545147   47% /mnt/home
bright          26214400   19166782    7047618   74% /cm/shared
tmpfs           65988311          1   65988310    1% /run/user/0
tmpfs           65988311          1   65988310    1% /run/user/1135
tmpfs           65988311          1   65988310    1% /run/user/1000
total          141179331 -934077896 1075257227     - -
2117679175 != 141179331 at check-df line 14, <> line 15.

In case it's helpful, here's the statfs:

statfs("/mnt/ceph", {f_type=FUSE_SUPER_MAGIC, f_bsize=4194304, f_blocks=7243311664, f_bfree=1707119480, f_bavail=1707119480, f_files=901242617, f_ffree=18446744073709551615, f_fsid={val=[0, 0]}, f_namelen=255, f_frsize=4194304, f_flags=ST_VALID|ST_RELATIME}) = 0

(This is a coreutils 8.32 build by the way but I'm happy to try 9.0 or git if
there's reason to think that will help.)